Package org.firebirdsql.util

## Interface Base64Decoder

All Known Implementing Classes:
  `Base64DecoderImpl`

    public interface Base64Decoder

Interface for accessing Java version specific base64 decoder.

Since:
  3.0.4
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `decodeBase64​(java.lang.String base64)` Decodes a base64 encoded string to a byte array.

### Method Detail

#### decodeBase64

    byte[] decodeBase64​(java.lang.String base64)

Decodes a base64 encoded string to a byte array.

Parameters:
  `base64` - Base64 encoded data
Returns:
  byte array after decoding